Konturvisualisierung (C17)

1.1 ÜberblickPAGEREF _Toc304467427 \h2

1.1.1 Unterschiedliche Betriebsmodi der Konturvisualisierung 2

1.2 Dry Run, Trockenlauf 4

1.2.1 Einleitung 4

1.3 Online Konturvisualisierung 5

1.3.1 Einleitung 5

1.4 Schnelle Konturvisualisierung 6

1.4.1 Einleitung 6

1.4.2 Beschreibung 8

1.4.3 Parameter 9

1.4.3.1 Übersicht 9

1.4.3.2 Kanalparameter: Anzeigeformat bei der Bearbeitungssimulation (P-CHAN-00121) 9

1.4.3.3 Kanalparameter: Ignorieren der internen Stopbedingungen bei schneller Konturvisualisierung (P-CHAN-00183) 9

1.4.3.4 Startupparameter: Kanalspezifische oder Sammelausgabe der Anzeigedaten (P-STUP-00040) 9

1.4.3.5 Startupparameter: Versionskennung der Visualisierungsdaten (P-STUP-00039) 10

1.4.4 Schnittstellenanbindung 11

1.4.4.1 Anwahl über HMI / ADS 11

1.4.4.2 Kommandos und Anzeige über PLC 12

1.4.4.3 Ausgabe 13

1.4.5 Applikationsbeispiele 15

1.4.5.1 ADS-Zugriff via AmsAdsDebugger 15

1.4.5.2 ADS-Zugriff via Object Browser 16

1.4.5.3 ADS-Zugriff via Win32 Application 17

1.4.5.4 Anzeigen von Achspositionen mit DXF format 21

1.5 Szene Konturvisualisierung 22

1.5.1 Einleitung 22

Mehr:

button Überblick

button Dry Run, Trockenlauf

button Online Konturvisualisierung

button Schnelle Konturvisualisierung

button Szene Konturvisualisierung


Überblick

Konturvisualisierung

Aufgabe

Für die Visualisierung der Bewegung können die Achspositionen über verschiedene Stellen aufgezeichnet und dargestellt werden.

In der CNC werden im Normalbetrieb Achspositionen als Anzeigedaten bereitgestellt. Für eine Konturvisualisierung reichen zyklisch abgetastete Position jedoch nicht aus. Ecken sollen auch in der Visualisierung als Ecken erkennbar sein. Die korrekte Darstellung der Ecken soll insbesondere auch möglich sein, falls aufgrund einer möglichst schnellen Darstellung nur sehr wenige Punkte gemeldet werden.

Mehr:

button Unterschiedliche Betriebsmodi der Konturvisualisierung


Unterschiedliche Betriebsmodi der Konturvisualisierung

Schnelle Konturvisualisierung ohne reale Achsbewegung | Die Steuerung arbeitet im Simulationsbetrieb, die Abarbeitung des CNC-Programms erfolgt im Schnelldurchlauf. Dadurch werden die programmierten Konturen gröber abgetastet, Ecken bleiben erhalten. Die Anzahl der Stützpunkte für die Visualisierung wird deutlich reduziert. Es finden keine reale Achsbewegungen statt.
Online Konturvisualisierung | Die Steuerung arbeitet im Normalbetrieb, die Abarbeitung des CNC-Programmes wird nicht beeinflusst. An der Schnittstelle der Konturvisualisierung werden Positionswerte nur bereitgestellt, wenn dies für die Visualisierung erforderlich ist.
Szene | Im NC-Programm wird die sequentielle kinematische Kette definiert. An jedem Koordinatensystem der kinematischen Kette (LINKPOINT) kann ein grafisches Objekt positioniert werden. Über eine Schnittstelle wird die Bewegung jedes Koordinatensystems protokolliert. Die Bewegung des grafischen Objektes kann somit in kernelCAM als Spur aufgezeichnet werden.

Funktionalität Szene unter TwinCAT nicht verfügbar.

Bearbeitungs-mode | Datenreduktion vor Interpolation | Datenreduktion nach Interpolation | Koordinatensystem der ausgegebenen Daten | Besonderheiten | Viewer
Trockenlauf, Dry run | - keine - | - keine - | PCS | Ohne reale Achsbewegung normale Programmbearbeitung |
Schnelle Kontur-visualisierung | geometrisches Gitter, abs./rel. Sekantenfehler | geometrisches Gitter, abs./rel. Sekantenfehler | WCS oder ACS | ohne reale Achsbewegung möglich. Schnelle Programm-abarbeitung | KernelCAM in Vorbereitung
Online Kontu-rvisualisierung | - keine - | geometrisches Gitter, abs./rel. Sekantenfehler | WCS oder ACS |  | KernelCAM in Vorbereitung
Szene | - keine - | Zeitliche Abtastung mit Bilder pro Sekunde | MCS=W0 beliebiger Punkt der kinematischen Kette, auch TCP | Für beliebige serielle Kinematiken verfügbar. Kinematische Kette muss im NC-Programm initialisiert werden | VirtuosV als vCAM

Koordinatensysteme | Bei den einzelnen Schnittstellen zur Visualisierung stehen unterschiedliche Koordinatensysteme zur Verfügung. Folgende Definition wird hier verwendet:
ACS | Axis Coordinate Sytem, Achskoordinatensystem
W0 | Baes Workpiece Coordinate Sytem, kartesisches Grundkoordinatensystem der Maschine, bezogen auf den Werkstückspannplatz
PCS | Programming Coordinate System, Programmierkoordinatensysteme


Dry Run, Trockenlauf

Mehr:

button Einleitung


Einleitung

0x40 MACHINE_LOCK | Im Modus "dry run" oder Trockenlauf wird das NC-Programm normal decodiert und die Positionen werden interpoliert. Die Bewegung der Achsen wird nicht an den Lageregler weitergegeben, so dass es zu keiner Achsbewegung kommt.


Online Konturvisualisierung

Mehr:

button Einleitung


Einleitung

Datenreduktion

Rasterung

Im Modus Online Konturanzeige erfolgt eine reale Abarbeitung des NC-Programms, wobei die ausgegebenen Werte gefiltert werden um eine performante Datenübertragung zu erhalten.

Abhängig vom verwendeten Bewegungssatzes (gerade/gekrümmt) kann das Stützpunktraster für die Interpolation entweder durch Angabe eines maximalen Stützpunktabstands oder eines maximalen Bahnfehlers angegeben werden.


Schnelle Konturvisualisierung

Mehr:

button Einleitung

button Beschreibung

button Parameter

button Schnittstellenanbindung

button Applikationsbeispiele


Einleitung

Simulation

Zum Testen bzw. Simulieren eines NC-Programms ist es im manchen Fällen wünschenswert ein NC-Programm abarbeiten zu lassen ohne dass tatsächlich eine Achsbewegungen stattfindet.

schnelle Ausführung

Im Modus simulierte Konturanzeige (Sollkonturvisualisierung) erfolgt eine schnellere Abarbeitung des NC-Programms indem ein grobes Stützpunktraster für die Interpolation verwendet wird.

Programmierte Verweilzeiten (G04, #TIME) werden ebenfalls ignoriert.

Stoppbedingungen

Die Abarbeitung eines NC-Programms kann durch interne oder externe Einflüsse angehalten werden.

Interne Stoppbedingungen sind NC-Befehle, die eine erst durch eine Benutzerinteraktion abgeschlossen werden, wie z. B. ein programmierter Halt (M00). Durch den Kanalparameter P-CHAN-00183 kann das Stoppen der Programmabarbeitung durch diese internen Einflüsse verhindert werden.

Bei externen Stoppbedingung bewirkt der Benutzer selbst ein Anhalten der Abarbeitung des NC-Programms indem er den z. B. über die SPS-Schnittstelle einen Vorschubstopp kommandiert oder eine Technologiefunktion nicht quittiert.

Externe Stoppbedingungen sind weiterhin wirksam und vom Benutzer so zu behandeln, dass die Programmabarbeitung nicht angehalten wird.

Rasterung

Abhängig vom verwendeten Bewegungssatzes (gerade/gekrümmt) kann das Stützpunktraster für die Interpolation entweder durch Angabe eines maximalen Stützpunktabstands oder eines maximalen Bahnfehlers angegeben werden.

Die Zielpunkte jedes Satzes werden auf jeden Fall ausgegeben.

Anwendungen

Die Simulation kann u. a. für die folgenden Anwendungen verwendet werden:

· Syntaxcheck unter Verwendung des gesamten NC-Kanals. Im Unterschied zur Betriebsart = Syntaxcheck sind bei der Simulation bis auf den Lageregler alle Module des NC-Kanals aktiv, dadurch können Fehler erkannt werden, die durch den Syntaxcheck nicht erfasst werden, beispielsweise Ausgleichsbewegungen bei der Werkzeugradiuskompensation oder überfahrene Softwareendschalter.

· Visualisierung eines NC-Programmes.

Im Gegensatz zum Syntaxcheck [FCT-C9] ist eine Fortsetzung der Programmabarbeitung nach Auftreten eines Fehlers nicht möglich.

Bei Auftreten eines Fehlers muss im Kanal ein Reset ausgelöst und das Programm nach Behebung des Fehlers erneut gestartet werden.


Beschreibung

Bedienung

Zur Aktivierung der Simulation muß vor dem Start eines NC-Programms der Bearbeitungsmodus auf Simulation geschaltet werden. Dies ist über die Oberflächen- oder die SPS-Schnittstelle möglich.

Gegebenenfalls ist das gewünschte Stützpunktraster für die Interpolation entsprechend anzugeben.

Anzeige

Entsprechend des eingestellten Rasters werden die Verfahrsätze unterteilt und die Achspositionen ausgegeben.

Stützpunktraster für Linearsätze

Für Linearsätze wird der Stützpunktabstand für die Interpolation direkt angegeben werden. Deswegen wird die Achsdynamik und die programmierte Sollgeschwindigkeit nicht berücksichtigt.

Für jeden Linearsatz wird der programmierte Endpunkt auch dann ausgegeben wenn er nicht auf dem eingestellten Stützpunktraster liegt. Hierdurch wird erreicht, dass Ecken einer Kontur stets angezeigt werden. Falls ein Linearsatz kürzer als das eingestellte Stützpunktraster ist erfolgt keine Ausgabe des Endpunktes.

Stützpunktraster für gekrümmte Konturelemente

Für gekrümmte Konturelemente (Kreise, Polynome) kann ein absoluter Sekantenfehler sowie ein relativer Sekantenfehler angegeben werden.


Parameter

Mehr:

button Übersicht

button Kanalparameter: Anzeigeformat bei der Bearbeitungssimulation (P-CHAN-00121)

button Kanalparameter: Ignorieren der internen Stopbedingungen bei schneller Konturvisualisierung (P-CHAN-00183)

button Startupparameter: Kanalspezifische oder Sammelausgabe der Anzeigedaten (P-STUP-00040)

button Startupparameter: Versionskennung der Visualisierungsdaten (P-STUP-00039)


Übersicht

Konstante | Beschreibung
MAX_SOLLKONT_VISU_-DATA_COUNT | 16, maximal Anzahl der Stützpunkte pro Nachricht
ANZ_SIMU_KOORD | 32, maximale Anzahl der Achspositionen pro Stützpunkt


Kanalparameter: Anzeigeformat bei der Bearbeitungssimulation (P-CHAN-00121)

Durch den Parameter "simu_output_wcs" kann das Format der Anzeigedaten an der Schnittstelle zur Bearbeitungssimulation bzgl. des Koordinatensystems umgeschaltet werden.

Variablenname | Typ | erlaubter Bereich | Dimension
simu_output_wcs | BOOLEAN | 0/1 | ----

0 | Anzeige der Achskoordinaten einschließlich Versätze (Maschinenkoordinaten)
1 | Anzeige der Absolutkoordinaten ohne Versätze (Programmierte Koordinaten)


Kanalparameter: Ignorieren der internen Stopbedingungen bei schneller Konturvisualisierung (P-CHAN-00183)

Durch den Parameter "simu_ignore_internal_stop_cond" kann das Anhalten des CNC-Programms aufgrund von internen Stoppbedingungen (z. B. M00) bei der schnellen Konturvisualisierung verhindert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
simu_ignore_internal_stop_cond | BOOLEAN | 0/1 | ----

0 | Interne Stopbedingungen sind wirksam
1 | Interne Stopbedingungen werden ignoriert


Startupparameter: Kanalspezifische oder Sammelausgabe der Anzeigedaten (P-STUP-00040)

Durch den Parameter "single_protocol_fifo kann umgeschaltet werden, ob die Visualisierungsdaten pro Kanal in einen Ausgabefifo geschrieben werden, oder ob die Visualisierungsdaten aller Kanäle in einen globalen Ausgabefifo geschrieben werden.

Variablenname | Typ | erlaubter Bereich | Dimension
single_protocol_fifo | BOOLEAN | 0/1 | ----

0 | Kanalspezifische Ausgabe der Visualisierungsdaten
1 | Gemeinsame Ausgabe der Visualisierungsdaten.


Startupparameter: Versionskennung der Visualisierungsdaten (P-STUP-00039)

Durch den Parameter contour_visu_ifc_version kann zwischen verschiedenen Anzeigedaten umgeschaltet werden. Je nach gewählter Einstellung werden mehr oder weniger Visualisierungsdaten durch die Simulation bereitgestellt (s. Kapitel 1.4.4.3 Ausgabe).

Variablenname | Typ | erlaubter Bereich | Dimension
contour_visu_ifc_version | UNS32 | 0 .. MAX_UNS32 | ----

0 | Defaulteinstellung
1 | Verfügbar ab CNC-Version V2.10.1032.08 bzw. V2.10.1507.06 Bei contour_visu_ifc_version = 1 wird zusätzlich zu den Default-Anzeigedaten (Versionskennung 0) der Dateiname des aktuellen NC-Programms mit übertragen.


Schnittstellenanbindung

Mehr:

button Anwahl über HMI / ADS

button Kommandos und Anzeige über PLC

button Ausgabe


Anwahl über HMI / ADS

HMI Schnittstelle

Der Sollkonturvisualisierung wird als Bearbeitungsmode vor dem Programmstart durch die Bedienung eingestellt. Diese Einstellung wird über eine sogenannte Control-Unit an die SPS weitergegeben, welche diesen zulassen oder ablehnen kann. Ebenso hat die SPS hierdurch die Möglichkeit den Bearbeitungsmode = Sollkonturvisualisierung ohne vorherige HMI Anforderung selbst anzuwählen.

ADS Zugriff

Per ADS kann die Visualisierung parametriert und die Visualisierungsdaten abgefragt werden.

Alle ADS-Zugriffe erfolgen über die Task COM, d.h. den Port 553. Der Zugriff auf die einzelnen Daten/Parameter erfolgt über die folgenden Indexgroups/Offsets.

Bei der Indexgroup ist für den Platzhalter <c> jeweils die Kanalnummer einzusetzen, wobei <c> innerhalb [ 1; max.Kanalanzahl] liegt.

Parameter | Format | Beschreibung | ADS-Index-Group | ADS-Index-Offset
mc_command_execution_mode_r, mc_command_execution_mode_w | UNS32 | Anwahl der Sollkonturvisualisierung 0x0000 ISG_STANDARD Normalbetrieb 0x0002 SOLLKON Sollkonturvisualisierung 0x0004 ON_LINE Online-Visu 0x0008 SYNCHK Syntaxcheck | 0x2010<c> c Element [1; max. Kanal] | 0x40, 0x3f
mc_contour_visu_grid_w mc_contour_visu_grid_r | UNS32 | Streckenraster für Sollkonturvisualisierung für Linearsätze (G00/G01) in [0.1 µm] | 0x2010<c> c Element [1; max. Kanal] | 0x89, 0x8a
mc_contour_rel_curv_error_w | REAL64 | Maximale relativer Bahnfehler in [0.1%] für Sollkonturvisualisierung für Kreise oder Polynome | 0x2010<c> c Element [1; max. Kanal] | 0x8b
mc_contour_abs_curv_error_w | REAL64 | Maximale absoluter Bahnfehler in [0.1 µm] für Sollkonturvisualisierung | 0x2010<c> c Element [1; max. Kanal] | 0x8c

Bei gekrümmten Konturelementen (Kreise, Polynome) wird der Parameter berücksichtigt, welcher zum kleineren Streckenraster führt.


Kommandos und Anzeige über PLC

Kanalbetriebsart
Beschreibung | Anwahl einer speziellen Kanalbetriebsart, wie z.B. Sollkonturvisualisierung, Syntaxcheck [FCT-C9] oder Fertigungszeitberechnung
Datentyp | MCControlSGN32Unit, s. Beschreibung Control Unit
Besonderheiten | -
Zugriff | PLC liest Request + State und schreibt Command + Enable
ST-Pfad | pMC[channel_idx]^.addr^.MCControlDecoder_Data.MCControlSGN32Unit_ExecutionMode
Kommandierter, angeforderter und Rückgabewert
ST-Element | .D_Command .D_Request . D_State
Datentyp | DINT
Wertebereich | 0x0000 ISG_STANDARD Normalbetrieb 0x0002 SOLLKON Simulation Sollkonturvisualisierung 0x0008 SYNCHK Simulation Syntaxcheck Bemerkung: Folgend Einstellungen sind in Vorbereitung: 0x0004 ON_LINE Onlinevisualisierung 0x0010 PROD_TIME Fertigungszeitberechnung 0x0020 ONLINE_PROD_TIME Online-Fertigungszeitberechnung 0x0040 MACHINE_LOCK Dry run ohne Achsbewegung 0x0100 KIN_TRAFO_OFF Überschreibt die automatische Freischaltung für kinematische Transformationen durch eine in den Kanalparametern (sda_mds*.lis) definierte Kenngröße.
Umleitung
ST-Element | . X_Enable


Ausgabe

Die Visualisierungsdaten können über folgende ADS-Schnittstelle gelesen werden.

Index-group | Index-of fset | Datentyp | Beschreibung
0x2010<c> | 0x2000 | SOLLKONT_VISU_DATA | Datensatz aus kanalspezifischem Ausgabefifo lesen.
0x2010<c> | 0x2001 | UNS32 | Anzahl der Datensätzen im kanalspezifschen Ausgabefifo lesen.
0x2010<c> | 0x2002 | SOLLKONT_VISU_DATA | Datensatz aus globalem Ausgabefifo lesen.
0x2010<c> | 0x2003 | UNS32 | Anzahl der Datensätze im globalen Ausgabefifo

Das gelesene Datenpaket hat dabei folgenden Aufbau.

 | SOLLKONT_VISU_PDU
SGN32 | count, Anzahl der Pakete SOLLKONT_VISU_DATA in der aktuellen Nachricht
UNS32 | Versionskennung der Visualisierungsdaten s. P-STUP-00039
SOLLKONT_VISU_DATA | ch[ MAX_SOLLKONT_VISU_DATA_COUNT ]

 | SOLLKONT_VISU_DATA
SGN32 | nc_satz_nr, NC-Satznummer
SGN32 | fileoffset, Dateioffset von Anfang in Bytes >= 0 : gültiger Dateioffset bei aktivem Programm == -1 : Offset nicht gültig, da kein Programm aktiv
UNS16 | channel_nr, Kanalnummer
SGN16 | g_function >= 0 : G-Funktion : G0, G1, G2, G3, G61 für Polynomsätze == -1 : keine G-Funktion aktive
UNS32 | circle_radius, Radius in [0.1 µm] für G2 / G3-Sätze
REAL64[2] | circle_center_point[2], Absolutposition des Kreismittelpunkts in der aktiven Bearbeitungsebene (G17,G18,G19) in [0.1 µm] für G2 / G3 Sätze (ab CNC-Version V2.10.1032.03 bzw. V2.10.1505.05)
ISG_CHAR[128] (*) | file_name, Dateiname des aktuellen NC-Programms. Für die zusätzliche Ausgabe des Dateinamens muss als Versionskennung der Anzeigedaten contour_visu_ifc_version ( P-STUP-00039 ) auf den Wert 1 gesetzt sein (ab CNC-Version V2.10.1032.08 bzw. V2.10.1507. 06).
SOLLKONT_VISU_ACHS_DATA | simu_achs_data[ ANZ_SIMU_KOORD ]

(*) Dieses Datum ist in der Defaulteinstellung der Visualisierungsdaten nicht verfügbar (s. P- STUP-00039)

 | SOLLKONT_VISU_ACHS_DATA
SGN32 | Akt_sollwert, aktueller Solllposition der Achse in [0.1 µm]
UNS16 | Log_achs_nr, logische Achsnummer
UNS16 | <alignment bytes>

Durch den Dateioffset kann erkannt werden, ob ein Programm in Bearbeitung ist bzw. beendet wurde.

Eine ungültige G-Funktion (-1) wird z.B. durch eine NC-Zeile mit einer M-Funktion ausgelöst.


Applikationsbeispiele

Mehr:

button ADS-Zugriff via AmsAdsDebugger

button ADS-Zugriff via Object Browser

button ADS-Zugriff via Win32 Application

button Anzeigen von Achspositionen mit DXF format


ADS-Zugriff via AmsAdsDebugger

Über den AmsAdsViewer können die einzelnen Parameter der Simulation direkt getestet werden.


ADS-Zugriff via Object Browser

Der Sollkonturvisualisierung wird als Bearbeitungsmode vor dem Programmstart durch die Bedienung eingestellt. Diese Einstellung wird über eine sogenannte Control-Unit an die SPS weitergegeben, welche diesen zulassen oder ablehnen kann. Ebenso hat die SPS hierdurch die Möglichkeit den Bearbeitungsmode = Sollkonturvisualisierung ohne vorherige HMI Anforderung selbst anzuwählen.


ADS-Zugriff via Win32 Application

Programmierbeispiel

static BOOLEAN writeContourParameters(

UNS16 channel_nr, UNS32 grid, REAL64 abs_error, REAL64 rel_error)

{

SGN32 result;

SGN32 idx_group = 0x20100 + channel_nr;

if ((channel_nr < 1) || (channel_nr > SYS_KANAL_MAX))

return FALSE;

result = AdsSyncWriteReq( &amsCom, // Ams address of ADS server

idx_group, // index group:

0x89, // index offset:

sizeof(grid), // count of bytes to read

&grid); // pointer to the client buffer

if (0 != result)

return FALSE;

result = AdsSyncWriteReq( &amsCom, // Ams address of ADS server

idx_group, // index group:

0x8c, // index offset:

sizeof(abs_error),// count of bytes to read

&abs_error); // pointer to the client buffer

if (0 != result)

return FALSE;

result = AdsSyncWriteReq( &amsCom, // Ams address of ADS server

idx_group, // index group:

0x8B, // index offset:

sizeof(rel_error),// count of bytes to read

&rel_error); // pointer to the client buffer

if (0 != result)

return FALSE;

return TRUE;

}

static BOOLEAN activateContourVisu( UNS16 channel_nr)

{

SGN32 result;

SGN32 idx_group = 0x20100 + channel_nr;

UNS32 execution_mode = SOLLKON;

if ((channel_nr < 1) || (channel_nr > SYS_KANAL_MAX))

return FALSE;

result = AdsSyncWriteReq( &amsCom, // Ams address of ADS server

idx_group, // index group:

0x3f, // index offset:

sizeof(execution_mode),

&execution_mode);

if (0 != result)

return FALSE;

return TRUE;

}

static BOOLEAN readContourData (

SOLLVISU_PDU_CHAN *p_visu_pdu, UNS16 channel_nr)

{

SGN32 result;

UNS32 count;

UNS32 fifo_count;

SGN32 idx_group = 0x20100 + channel_nr;

if ((channel_nr < 1) || (channel_nr > SYS_KANAL_MAX))

return FALSE;

// Read number of enties in visualisation output fifo

result = AdsSyncReadReqEx( &amsCom, // Ams address of ADS server

idx_group, // index group:

0x2001, // index offset:

sizeof(fifo_count),

&fifo_count,

&count);

if (0 != fifo_count)

{

// Data present, read via COM

result = AdsSyncReadReqEx( &amsCom, // Ams address of ADS server

idx_group, // index group:

0x2000, // index offset:

sizeof(*p_visu_pdu),

p_visu_pdu,

&count)

if (0 == result)

return TRUE;

}

return FALSE;

}


Anzeigen von Achspositionen mit DXF format

Programmierbeispiel

%contour_visu

N001 G01 G90 X0 Y0 Z0 F1000

N100 X100

N200 Y100

N300 X0

N400 Y0

N500 X50 Y50 Z200

N500 X100 Y100 Z0

N600 X0

N700 X50 Y50 Z200

N800 X100 Y0 Z0

N900 G02 I100

N1000 #CS ON[0,0,100, 45 ,0,0]

N1001 G01 G90 X0 Y0 Z0 F1000

N1100 X100

N1200 Y100

N1300 X0

N1400 Y0

N1500 X50 Y50 Z200

N1500 X100 Y100 Z0

N1600 X0

N1700 X50 Y50 Z200

N1800 X100 Y0 Z0

N1900 G02 I100

N1500 #CS OFF

N2000 #CS ON[0,100,-100, 0, 45,0]

N2001 G01 G90 X0 Y0 Z0 F1000

N2100 X100

N2200 Y100

N2300 X0

N2400 Y0

N2500 X50 Y50 Z200

N2500 X100 Y100 Z0

N2600 X0

N2700 X50 Y50 Z200

N2800 X100 Y0 Z0

N2900 G02 I100

N2500 #CS OFF

M30

Programmierbeispiel:
Erzeugen DXF Output

Die ausgelesenen Achspositionen können genutzt werden um die abgefahrene Kontur im DXF-Format darzustellen.

0

SECTION

2

HEADER

999

isg.dxf created by TwinCAT CNC

0

ENDSEC

0

SECTION

2

TABLES

0

ENDSEC

0

SECTION

2

BLOCKS

0

ENDSEC

0

SECTION

2

ENTITIES

0

LINE

8

0

62

2

10

0.000000

20

0.000000

30

0.000000

11

10.000000

21

0.000000

31

0.000000

0

...

Anzeigen vonDXF mittels Viewer


Szene Konturvisualisierung

Mehr:

button Einleitung


Einleitung

Datenreduktion

Protokollierung

Im Scene-Modus erfolgt eine reale Abarbeitung des NC-Programmes, wobei die ausgegebenen Werte zeitliche gefiltert werden. D.h. es kann die gewünschte Datenrate Bilder pro Sekunde angegeben werden.

Bei der Szene-Anzeige werden die Bewegungen jedes Koordinatensystems der kinematischen Kette protokolliert. Somit kann die Bewegung jedes grafischen Körpers visualisiert werden. Zusätzlich lässt sich diese Bewegung als Spur visualisieren.